<?php
   $target='guia';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/mensajeros.php"); 
   $nombrepagina = "REPORTE DE PENDIENTES";
   encabezado($target); 

   
   	    unset($titulos);
		unset($query_expor);
        unset($nom_xls);
		$titulos[]="GUIA";
		$titulos[]="ODS";
		$titulos[]="FECHA";
		$titulos[]="PRODUCTO";
		$titulos[]="EMPRESA";
		$titulos[]="DESTINATARIO";
		$titulos[]="DIRECCION";
		$titulos[]="TELEFONO";
		$titulos[]="CIUDAD";
   
   
   
   
  $user=$_SESSION['validar'];
	$filas=1;   
	if($filas == 1){ 
		class llamado{
			var $menuObj;
			function validar1($id_user,$id_sucursal){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
			}
		}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);
		class obtiene{
			var $userObj;
			function obtener($perfil){
				$this->userObj=new select_zonas();
				$tabla=$this->userObj->get_tabla($_GET['suc']);
				$_SESSION['tabla_guia']=$tabla;
			}
		}
		$eliminaObj=new obtiene();
		$eliminaObj->obtener($suc);
		$tabla=$_SESSION['tabla_guia'];
		$fecha_actual = date("Y-m-d");
		
?><CENTER>
<script language="javascript" src="js/popcalendar.js"></script>
<form action="" method="POST" name="backup">
<table width="400" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Seleccionar Mensajero ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="250" class="miTable_td">Mensajero:</td>
<td width="250" class="miTable_td">
<select name="mensajero" class="inputbox" style="width:300px">
<?
get_mensajero($_GET['suc'],$_POST['mensajero']);
?>
</select>
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="250" class="miTable_td">Fecha Inicial:</td>
<td width="250" class="miTable_td">
<input type="text" name="f1" id="dates1" value="<? 
if (empty($f1)){
echo $fecha_actual;
}else{
echo $f1;
}
?>" onClick="popUpCalendar(this, backup.dates1, 'yyyy-mm-dd');" class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">Fecha Final:</td>
<td width="200" class="miTable_td">
<input type="text" name="f2" id="dates2" value="<? 
if (empty($f2)){
echo $fecha_actual;
}else{
echo $f2;
}
?>" onClick="popUpCalendar(this, backup.dates2, 'yyyy-mm-dd');" class="inputbox">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Consultar Pendientes" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
if(isset($Registrar)){
	class crearSucursal{
		var $crearObj;
		var $conexionObj;
		var $estado;
		function validar($id_mens,$tabla,$f1,$f2){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			if (!empty($f1) and !empty($f2)){
				$f2=$fec_lim=sumaDia($f2,1);
				$rst_select=$this->conexionObj->consultar("SELECT count(g.guia), m.nombre, m.identificacion 
						FROM guias_proceso as g 
						inner join rastreo_guias as r on (g.guia=r.guia)
						inner join mensajeros as m on (g.id_mensajero=m.id_mensajero) 
				WHERE g.id_mensajero='".$id_mens."' AND id_estado = '13' and F13>='".$f1."' AND F13<'".$f2."' group by g.id_mensajero");
				
		$query_pen_men="SELECT trim(g.guia), trim(g.orden), date(o.fecha_creacion), trim(o.producto), trim(g.empresa), trim(g.destinatario), 
			  trim(g.direccion), trim(g.telefono), trim(g.ciudad) FROM guias_proceso as g 
			  inner join rastreo_guias as r on (g.guia=r.guia)
				inner join ordenes as o on (g.orden=o.orden)				
				WHERE g.id_mensajero='".$id_mens."' AND id_estado = '13' and F13>='".$f1."' AND F13<'".$f2."'";
				
		$_SESSION['sql_nomina']=$query_pen_men;
		$_SESSION['titulos']=$titulos;
        $_SESSION['nom_xls']="Pendientes_Mensajero";
				
				
				//$rst_select2="SELECT count(g.guia), m.nombre, m.identificacion FROM guias_proceso as g inner join rastreo_guias as r on (g.guia=r.guia) inner join mensajeros as m on (g.id_mensajero=m.id_mensajero) 	WHERE g.id_mensajero='".$id_mens."' AND id_estado = '13' and F13>='".$f1."' AND F13<='".$f2."' group by g.id_mensajero";
				//echo $rst_select2;
				echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
				<td class=miTable_th1><div align="center">
				..:: PENDIENTES ::..</div></td></tr>';
				$i=0;
				$cant_filas=mysql_num_rows($rst_select);
				if($cant_filas==1){
					while($tomar_planilla=mysql_fetch_array($rst_select)){
						$cc=$tomar_planilla[2];
						$nombre=$tomar_planilla[1];
						$cant_guias=$tomar_planilla[0];
						echo '<tr class=miTable_tr>
						<td class=miTable_td><div align="center">
						<b>IDENTIFICACION: </b> '.$cc.'</div></td></tr>';
						echo '<tr class=miTable_tr>
						<td class=miTable_td><div align="center">
						<b>NOMBRE MENSAJERO: </b> '.$nombre.'</div></td></tr>';
						$i++;
						echo '<tr class=miTable_tr >';
						echo '<td class=miTable_td><div align="center">';
						unset($_SESSION['pend_total']);
					?>
						<a href="ver_pendiente.php?id_user=<? echo $_GET['id_user'];?>&suc=<? echo $_GET['suc'];?>&id_mens=<? echo $id_mens;?>&tabla=<? echo $tabla;?>&nommens=<? echo $nombre;?>&f1=<? echo $f1;?>&f2=<? echo $f2;?>">Ver Pendientes Cantidad: <? echo $_SESSION['pend_total']=$cant_guias;?></a>
						<tr class=miTable_tr >';
						<td class=miTable_td><div align="center">
						<a href='xls_alfa.php'>Exportar a Excel <img src='imagenes/xls_icon.gif'></a></td>
						
					<?
						echo '</div></td></tr>';
					}
						$sql="select * from info_empresa ";
						$ruta_logo=logo($sql);
					?>	
					<table width="400" border="0"><tr><td align="center">
					<a href="Pdf/planilladetallada_men.php?id_user=<? echo $_GET['id_user']; ?>&suc=<? echo $_GET['suc']; ?>&id_mens=<? echo $id_mens; ?>&tabla=<? echo $tabla; ?>&f1=<? echo $f1; ?>&f2=<? echo $f2; ?>&ruta=<? echo $ruta_logo; ?>" target="_blank">Ver Guias Planilladas Detalle</a></td>
					<td align="center"><a href="Pdf/planillaresumida_men.php?id_user=<? echo $_GET['id_user']; ?>&suc=<? echo $_GET['suc']; ?>&id_mens=<? echo $id_mens; ?>&tabla=<? echo $tabla; ?>&f1=<? echo $f1; ?>&f2=<? echo $f2; ?>" target="_blank">Ver Guias Planilladas Resumen</a></td></tr>
					</table>
					<? 
				}else{
					$rst_select=$this->conexionObj->consultar("SELECT m.nombre, m.identificacion FROM mensajeros as m ".
					"WHERE m.id_mensajero='".$id_mens."'");
					$tomar_planilla=mysql_fetch_array($rst_select);
					$cc=$tomar_planilla[1];
					$nombre=$tomar_planilla[0];
					echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					<b>IDENTIFICACION: </b> '.$cc.'</div></td></tr>';
					echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					<b>NOMBRE MENSAJERO: </b> '.$nombre.'</div></td></tr>';
					$i++;
					echo '<tr class=miTable_tr>';
					echo '<td class=miTable_td><div align="center">Total Pendientes '.$cant_filas;
					echo '</div></td></tr>';
				}
				echo '<tr class=miTable_tr>';
				echo '<td class=miTable_th1><div align="center"></div></td></tr></table></center>';
			}else{
					$msgBOX2 = "Debe escoger el rango de fechas.";
					echo "<script>
	             	alert('$msgBOX2');
	  		  	    </script>";
			}
		}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearSucursalObj=new crearSucursal();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
// LAMANDO EL METODO DE NEGOCIO
$crearSucursalObj->validar($_POST['mensajero'],$_POST['tabla'],$_POST['f1'],$_POST['f2']);
}
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center></td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
